#ifndef GLTEST_SHADER_H
#define GLTEST_SHADER_H

#include <string>
#include <GL/glew.h>

class Shader {
private:
	std::string _path;
	GLenum _type;
	GLuint _shader;

public:
	Shader(GLenum type, const std::string& path);
	void compile();
	operator GLuint() const;
	~Shader();

private:
	void logCompileError();
};

#endif //GLTEST_SHADER_H
